Package it.ernytech.tdlib

## Class TdApi.ChatPhoto

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.ChatPhoto

Enclosing class:
  TdApi

    public static class TdApi.ChatPhoto
    extends TdApi.Object

Describes the photo of a chat.

### Field Summary

Fields
`TdApi.File` `big` A big (640x640) chat photo.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.File` `small` A small (160x160) chat photo.

### Constructor Summary

Constructors
`ChatPhoto()` Default constructor.
`ChatPhoto​(TdApi.File small, TdApi.File big)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### small

    public TdApi.File small

A small (160x160) chat photo.

#### big

    public TdApi.File big

A big (640x640) chat photo.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ChatPhoto

    public ChatPhoto()

Default constructor.

#### ChatPhoto

    public ChatPhoto​(TdApi.File small,
                     TdApi.File big)

Constructor for initialization of all fields.

Parameters:
  `small` - A small (160x160) chat photo.
  `big` - A big (640x640) chat photo.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR